<!doctype html>
<html>
<head>
	<title>JSON Data Table</title>
    <style>
        table {
            margin: 0 auto;
            font-size: large;
            border: 1px solid black;
        }
  
        h1 {
            text-align: center;
            color: #006600;
            font-size: xx-large;
            font-family: 'Gill Sans', 
                'Gill Sans MT', ' Calibri', 
                'Trebuchet MS', 'sans-serif';
        }
  
        td {
            background-color: #E4F5D4;
            border: 1px solid black;
        }
  
        th,
        td {
            font-weight: bold;
            border: 1px solid black;
            padding: 10px;
            text-align: center;
        }
  
        td {
            font-weight: lighter;
        }
    </style>
</head>
<body>
	<table id="data_table">
		<thead>
			<tr>
				<th>Parameter</th>
				<th>Value</th>
			</tr>
		</thead>
        
		<tbody>
		</tbody>
	</table>


	<script>
		var data = {
			"temperature": 25.6,
			"humidity": 72,
			"pressure": 1014.2,
			"light": "sunny",
			"precipitation": "none",
			"wind_speed": 8.3,
			"wind_direction": "NE",
			"uv_index": 6,
			"air_quality": "moderate"
		};

		var tableBody = document.querySelector('#data_table tbody');
		for (var key in data) {
			var newRow = document.createElement('tr');
			var paramCell = document.createElement('td');
			paramCell.textContent = key;
			newRow.appendChild(paramCell);
			var valueCell = document.createElement('td');
			valueCell.textContent = data[key];
			newRow.appendChild(valueCell);
			tableBody.appendChild(newRow);
		}
	</script>
</body>
</html>

